local a=require"luci.sys"
local e=luci.model.uci.cursor()
local e=require"nixio.fs"
require("luci.sys")
local t,e,o

t=Map("aliddns",translate("阿里DDNS"))

e=t:section(TypedSection,"base",translate("基本设置"),translate("使用 Aliddns 实现顶级个人域名的 ddns 服务"))
e.anonymous=true

enable=e:option(Flag,"enable",translate("enable"))
enable.rmempty=false

enable=e:option(Flag,"clean",translate("清除所有同名记录"))
enable.rmempty=false

token=e:option(Value,"app_key",translate("Access Key ID"))
email=e:option(Value,"app_secret",translate("Access Key Secret"))

iface=e:option(ListValue,"interface",translate("WAN-IP来源"),translate("选择动态域名的IP来源"))
iface:value("wan")

iface.rmempty=false
main=e:option(Value,"main_domain",translate("主域名"),translate("例如: www.baidu.com 则填: baidu.com"))
main.rmempty=false
sub=e:option(Value,"sub_domain",translate("子域名"),translate("例如: www.baidu.com, 则填: www"))
sub.rmempty=false
time=e:option(Value,"time",translate("检查时间"),translate("域名检查间隔时间，单位分钟，范围1-59"))
time.rmempty=false

e=t:section(TypedSection,"base",translate("更新日志"))
e.anonymous=true
local a="/var/log/aliddns.log"
tvlog=e:option(TextValue,"sylogtext")
tvlog.rows=50
tvlog.readonly="readonly"
tvlog.wrap="off"

function tvlog.cfgvalue(e,e)
	sylogtext=""
	if a and nixio.fs.access(a) then
		sylogtext=luci.sys.exec("tail -n 100 %s"%a)
	end
	return sylogtext
end

tvlog.write=function(e,e,e)
end
local e=luci.http.formvalue("cbi.apply")
if e then
	io.popen("/etc/init.d/aliddns restart")
end
return t
